## python-pipdeptree 0.13.2

=== Makefile ===

clean:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rmdir {} +

clean-env:
	rm -rf tests/virtualenvs/{testenv,cyclicenv,unsatisfiedenv}
	rm tests/virtualenvs/*.pickle

test-env:
	pip install tox
	cd tests/virtualenvs; make testenv cyclicenv unsatisfiedenv

test: test-env
	tox -e py27

test-tox: test-env
	tox

=== tests/virtualenvs/Makefile ===


testenv:
	virtualenv --python=python2.7 testenv
	testenv/bin/pip install -U pip setuptools
	testenv/bin/pip install -r testenv_requirements.txt
	testenv/bin/python pickle_env.py > testenv.pickle


cyclicenv:
	virtualenv --python=python2.7 cyclicenv
	cyclicenv/bin/pip install -U pip setuptools
	cyclicenv/bin/pip install -r cyclicenv_requirements.txt
	cyclicenv/bin/python pickle_env.py > cyclicenv.pickle

unsatisfiedenv:
	virtualenv --python=python2.7 unsatisfiedenv
	unsatisfiedenv/bin/pip install -U pip setuptools
	unsatisfiedenv/bin/pip install -r unsatisfiedenv_requirements.txt
	# test case where simplejson is required but not installed
	unsatisfiedenv/bin/pip install uritemplate==0.6 --no-dependencies
	unsatisfiedenv/bin/python pickle_env.py > unsatisfiedenv.pickle

## python-pipdeptree 0.13.0

=== debian/changelog ===
python-pipdeptree (0.13.0-1) unstable; urgency=medium

  * Initial release (Closes: #907241)

 -- Andreas Tille <tille@debian.org>  Sat, 25 Aug 2018 10:57:26 +0200

=== debian/control ===
Source: python-pipdeptree
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python-all-dev,
               python-setuptools
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/python-pipdeptree
Vcs-Git: https://salsa.debian.org/med-team/python-pipdeptree.git
Homepage: https://github.com/naiquevin/pipdeptree

Package: python3-pipdeptree
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends}
Description: display dependency tree of the installed Python 3 packages
 Pipdeptree is a command line utility for displaying the installed Python
 packages in form of a dependency tree. It works for packages installed
 globally on a machine as well as in a virtualenv. Since pip freeze shows
 all dependencies as a flat list, finding out which are the top level
 packages and which packages do they depend on requires some effort. It
 can also be tedious to resolve conflicting dependencies because pip
 doesn't yet have true dependency resolution (more on this later). This
 utility tries to solve this problem.
 .
 To some extent, this tool is inspired by lein deps :tree command of
 Leiningen.
 .
 This is the Python 3 package.

Package: python-pipdeptree
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: display dependency tree of the installed Python packages
 Pipdeptree is a command line utility for displaying the installed Python
 packages in form of a dependency tree. It works for packages installed
 globally on a machine as well as in a virtualenv. Since pip freeze shows
 all dependencies as a flat list, finding out which are the top level
 packages and which packages do they depend on requires some effort. It
 can also be tedious to resolve conflicting dependencies because pip
 doesn't yet have true dependency resolution (more on this later). This
 utility tries to solve this problem.
 .
 To some extent, this tool is inspired by lein deps :tree command of
 Leiningen.
 .
 This is the Python 2 package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pipdeptree

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm debian/python-$(PYBUILD_NAME)/usr/bin/$(PYBUILD_NAME)

## python-pipdeptree 0.13.2

=== debian/changelog ===
python-pipdeptree (0.13.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 14:27:08 +0100

python-pipdeptree (0.13.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 09:00:28 +0100

python-pipdeptree (0.13.0-2) unstable; urgency=medium

  * Drop Python 2 package since the current rdepends of python-cobra
    can be dropped

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2018 21:12:10 +0200

=== debian/control ===
Source: python-pipdeptree
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3-all-dev,
               python3-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-pipdeptree
Vcs-Git: https://salsa.debian.org/med-team/python-pipdeptree.git
Homepage: https://github.com/naiquevin/pipdeptree

Package: python3-pipdeptree
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends}
Description: display dependency tree of the installed Python 3 packages
 Pipdeptree is a command line utility for displaying the installed Python
 packages in form of a dependency tree. It works for packages installed
 globally on a machine as well as in a virtualenv. Since pip freeze shows
 all dependencies as a flat list, finding out which are the top level
 packages and which packages do they depend on requires some effort. It
 can also be tedious to resolve conflicting dependencies because pip
 doesn't yet have true dependency resolution (more on this later). This
 utility tries to solve this problem.
 .
 To some extent, this tool is inspired by lein deps :tree command of
 Leiningen.

## python-pipdeptree 2.0.0

=== tests/profiles/webapp/requirements.txt ===
Flask==1.1.2
Flask-Script==2.0.6
gnureadline==8.0.0
pymongo==3.10.1
redis==3.4.1
slugify==0.0.1
ipython==7.13.0

=== debian/changelog ===
python-pipdeptree (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Add myself to uploaders
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 29 Dec 2020 12:56:32 +0530

python-pipdeptree (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Recommend python3-graphviz due to --graph-output
    parameter
  * Add autopkgtest

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 28 Sep 2020 19:43:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: python-pipdeptree
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-pipdeptree
 Vcs-Git: https://salsa.debian.org/med-team/python-pipdeptree.git
 Homepage: https://github.com/naiquevin/pipdeptree
+Rules-Requires-Root: no
 
 Package: python3-pipdeptree
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends}
+Recommends: python3-graphviz
 Description: display dependency tree of the installed Python 3 packages
  Pipdeptree is a command line utility for displaying the installed Python
  packages in form of a dependency tree. It works for packages installed

=== debian/watch ===
version=4

https://github.com/naiquevin/pipdeptree/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## python-pipdeptree 2.2.0

=== Makefile ===
.PHONY: clean test-env test test-cov test-tox-all test-e2e

TOX_ENV ?= py36

E2E_PYTHON_EXE ?= python3.6

clean:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rmdir {} +

test-env:
	pip install -r dev-requirements.txt

test:
	tox -e $(TOX_ENV)

test-cov:
	tox -e $(TOX_ENV) -- -x -vv --cov=pipdeptree --cov-report=xml --cov-report=html --cov-report=term-missing

# Requires all the versions of python executables to be present (See
# tox.ini for list of python versions)
test-tox-all:
	tox

clean-e2e:
	rm -rf tests/profiles/*/.env_$(E2E_PYTHON_EXE)*

test-e2e: clean-e2e
	cd tests && ./e2e-tests webapp
	cd tests && ./e2e-tests conflicting
	cd tests && ./e2e-tests cyclic

test-e2e-quick:
	cd tests && ./e2e-tests webapp
	cd tests && ./e2e-tests conflicting
	cd tests && ./e2e-tests cyclic

=== tests/profiles/conflicting/requirements.txt ===
Flask==0.10.1
itsdangerous==0.24
Jinja2
MarkupSafe==0.22
Werkzeug==0.11.2
argparse

=== debian/changelog ===
python-pipdeptree (2.2.0-3build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:11 +0100

python-pipdeptree (2.2.0-3) unstable; urgency=medium

  * Move package to Debian Python Team

 -- Andreas Tille <tille@debian.org>  Sun, 02 Jan 2022 18:40:23 +0100

python-pipdeptree (2.2.0-2) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Mon, 08 Nov 2021 21:06:25 +0100

python-pipdeptree (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 15:48:18 +0530

python-pipdeptree (2.1.0-1) unstable; urgency=medium

  * d/watch: Fix watch regex
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * New upstream version 2.1.0

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 Aug 2021 17:37:25 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-pipdeptree
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -8,9 +8,9 @@
                dh-python,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/med-team/python-pipdeptree
-Vcs-Git: https://salsa.debian.org/med-team/python-pipdeptree.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pipdeptree
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pipdeptree.git
 Homepage: https://github.com/naiquevin/pipdeptree
 Rules-Requires-Root: no

=== debian/watch ===
version=4

https://github.com/naiquevin/pipdeptree/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-pipdeptree 2.30.0

=== debian/changelog ===
python-pipdeptree (2.30.0-1) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Nilesh Patra ]
  * New upstream version 2.30.0
  * Update B-D as per hatch buildsystem
  * Skip 2 tests; add test B-D
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Remove myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Dec 2025 02:59:41 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,28 @@
 Source: python-pipdeptree
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all-dev,
-               python3-setuptools
-Standards-Version: 4.6.0
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3-all,
+               python3-setuptools,
+               python3-hatchling,
+               python3-hatch-vcs,
+               python3-graphviz <!nocheck>,
+               python3-pip <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-covdefaults <!nocheck>,
+               diff-cover <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-mock <!nocheck>,
+               python3-virtualenv <!nocheck>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pipdeptree
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pipdeptree.git
 Homepage: https://github.com/naiquevin/pipdeptree
-Rules-Requires-Root: no
 
 Package: python3-pipdeptree
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYTEST_ADDOPTS="-k not test_custom_interpreter_ensure_pythonpath_envar_is_honored and not test_local_only"
export PYBUILD_NAME=pipdeptree

%:
	dh $@ --with python3 --buildsystem=pybuild
